Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.cics
Class DataStructure

    java.lang.Object
      com.stc.eways.cics.DataStructure

Direct Known Subclasses:
  PackedDecimal

    public class DataStructure

extends java.lang.Object

Field Summary
`protected int` | `_Offset`
`protected int` | `_Size`
`protected byte[]` | `_Struct`
`static java.lang.String` | `ISO_LATIN_1`

Constructor Summary
`DataStructure(byte[] Origin, int Offset, int Size)`

Method Summary
`boolean` | `ContainerExists()`
`void` | `CopyFrom(byte[] Origin, int Size)`
`void` | `CopyTo(byte[] Dest, int Size)`
`int` | `GiveElem(int Ii)`
`static void` | `main(java.lang.String[] Argv)`
`void` | `SetElem(int Ii, byte Value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ISO_LATIN_1

    public static final java.lang.String ISO_LATIN_1

See Also:
  Constant Field Values

### _Struct

    protected byte[] _Struct

### _Offset

    protected int _Offset

### _Size

    protected int _Size

Constructor Detail

### DataStructure

    public DataStructure(byte[] Origin,
                         int Offset,
                         int Size)

Method Detail

### CopyFrom

    public void CopyFrom(byte[] Origin,
                         int Size)

### CopyTo

    public void CopyTo(byte[] Dest,
                       int Size)

### GiveElem

    public int GiveElem(int Ii)

### SetElem

    public void SetElem(int Ii,
                        byte Value)

### ContainerExists

    public boolean ContainerExists()

### main

    public static void main(java.lang.String[] Argv)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for CICS API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD